-- Mnemonic.hs ---

-- Copyright (C) 2020 Nerd Ed

-- Author: Nerd Ed <nerded.nerded@gmail.com>

-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 3
-- of the License, or (at your option) any later version.

-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.

-- You should have received a copy of the GNU General Public License
-- along with this program. If not, see <http://www.gnu.org/licenses/>.

{-# LANGUAGE DerivingVia #-}

module Zydis.Mnemonic
  ( Mnemonic(..)
  )
where

import           Zydis.Util

data Mnemonic
  = MnemonicInvalid
  | MnemonicAaa
  | MnemonicAad
  | MnemonicAam
  | MnemonicAas
  | MnemonicAdc
  | MnemonicAdcx
  | MnemonicAdd
  | MnemonicAddpd
  | MnemonicAddps
  | MnemonicAddsd
  | MnemonicAddss
  | MnemonicAddsubpd
  | MnemonicAddsubps
  | MnemonicAdox
  | MnemonicAesdec
  | MnemonicAesdeclast
  | MnemonicAesenc
  | MnemonicAesenclast
  | MnemonicAesimc
  | MnemonicAeskeygenassist
  | MnemonicAnd
  | MnemonicAndn
  | MnemonicAndnpd
  | MnemonicAndnps
  | MnemonicAndpd
  | MnemonicAndps
  | MnemonicArpl
  | MnemonicBextr
  | MnemonicBlcfill
  | MnemonicBlci
  | MnemonicBlcic
  | MnemonicBlcmsk
  | MnemonicBlcs
  | MnemonicBlendpd
  | MnemonicBlendps
  | MnemonicBlendvpd
  | MnemonicBlendvps
  | MnemonicBlsfill
  | MnemonicBlsi
  | MnemonicBlsic
  | MnemonicBlsmsk
  | MnemonicBlsr
  | MnemonicBndcl
  | MnemonicBndcn
  | MnemonicBndcu
  | MnemonicBndldx
  | MnemonicBndmk
  | MnemonicBndmov
  | MnemonicBndstx
  | MnemonicBound
  | MnemonicBsf
  | MnemonicBsr
  | MnemonicBswap
  | MnemonicBt
  | MnemonicBtc
  | MnemonicBtr
  | MnemonicBts
  | MnemonicBzhi
  | MnemonicCall
  | MnemonicCbw
  | MnemonicCdq
  | MnemonicCdqe
  | MnemonicClac
  | MnemonicClc
  | MnemonicCld
  | MnemonicCldemote
  | MnemonicClevict0
  | MnemonicClevict1
  | MnemonicClflush
  | MnemonicClflushopt
  | MnemonicClgi
  | MnemonicCli
  | MnemonicClrssbsy
  | MnemonicClts
  | MnemonicClwb
  | MnemonicClzero
  | MnemonicCmc
  | MnemonicCmovb
  | MnemonicCmovbe
  | MnemonicCmovl
  | MnemonicCmovle
  | MnemonicCmovnb
  | MnemonicCmovnbe
  | MnemonicCmovnl
  | MnemonicCmovnle
  | MnemonicCmovno
  | MnemonicCmovnp
  | MnemonicCmovns
  | MnemonicCmovnz
  | MnemonicCmovo
  | MnemonicCmovp
  | MnemonicCmovs
  | MnemonicCmovz
  | MnemonicCmp
  | MnemonicCmppd
  | MnemonicCmpps
  | MnemonicCmpsb
  | MnemonicCmpsd
  | MnemonicCmpsq
  | MnemonicCmpss
  | MnemonicCmpsw
  | MnemonicCmpxchg
  | MnemonicCmpxchg16B
  | MnemonicCmpxchg8B
  | MnemonicComisd
  | MnemonicComiss
  | MnemonicCpuid
  | MnemonicCqo
  | MnemonicCrc32
  | MnemonicCvtdq2Pd
  | MnemonicCvtdq2Ps
  | MnemonicCvtpd2Dq
  | MnemonicCvtpd2Pi
  | MnemonicCvtpd2Ps
  | MnemonicCvtpi2Pd
  | MnemonicCvtpi2Ps
  | MnemonicCvtps2Dq
  | MnemonicCvtps2Pd
  | MnemonicCvtps2Pi
  | MnemonicCvtsd2Si
  | MnemonicCvtsd2Ss
  | MnemonicCvtsi2Sd
  | MnemonicCvtsi2Ss
  | MnemonicCvtss2Sd
  | MnemonicCvtss2Si
  | MnemonicCvttpd2Dq
  | MnemonicCvttpd2Pi
  | MnemonicCvttps2Dq
  | MnemonicCvttps2Pi
  | MnemonicCvttsd2Si
  | MnemonicCvttss2Si
  | MnemonicCwd
  | MnemonicCwde
  | MnemonicDaa
  | MnemonicDas
  | MnemonicDec
  | MnemonicDelay
  | MnemonicDiv
  | MnemonicDivpd
  | MnemonicDivps
  | MnemonicDivsd
  | MnemonicDivss
  | MnemonicDppd
  | MnemonicDpps
  | MnemonicEmms
  | MnemonicEncls
  | MnemonicEnclu
  | MnemonicEnclv
  | MnemonicEndbr32
  | MnemonicEndbr64
  | MnemonicEnqcmd
  | MnemonicEnqcmds
  | MnemonicEnter
  | MnemonicExtractps
  | MnemonicExtrq
  | MnemonicF2Xm1
  | MnemonicFabs
  | MnemonicFadd
  | MnemonicFaddp
  | MnemonicFbld
  | MnemonicFbstp
  | MnemonicFchs
  | MnemonicFcmovb
  | MnemonicFcmovbe
  | MnemonicFcmove
  | MnemonicFcmovnb
  | MnemonicFcmovnbe
  | MnemonicFcmovne
  | MnemonicFcmovnu
  | MnemonicFcmovu
  | MnemonicFcom
  | MnemonicFcomi
  | MnemonicFcomip
  | MnemonicFcomp
  | MnemonicFcompp
  | MnemonicFcos
  | MnemonicFdecstp
  | MnemonicFdisi8087Nop
  | MnemonicFdiv
  | MnemonicFdivp
  | MnemonicFdivr
  | MnemonicFdivrp
  | MnemonicFemms
  | MnemonicFeni8087Nop
  | MnemonicFfree
  | MnemonicFfreep
  | MnemonicFiadd
  | MnemonicFicom
  | MnemonicFicomp
  | MnemonicFidiv
  | MnemonicFidivr
  | MnemonicFild
  | MnemonicFimul
  | MnemonicFincstp
  | MnemonicFist
  | MnemonicFistp
  | MnemonicFisttp
  | MnemonicFisub
  | MnemonicFisubr
  | MnemonicFld
  | MnemonicFld1
  | MnemonicFldcw
  | MnemonicFldenv
  | MnemonicFldl2E
  | MnemonicFldl2T
  | MnemonicFldlg2
  | MnemonicFldln2
  | MnemonicFldpi
  | MnemonicFldz
  | MnemonicFmul
  | MnemonicFmulp
  | MnemonicFnclex
  | MnemonicFninit
  | MnemonicFnop
  | MnemonicFnsave
  | MnemonicFnstcw
  | MnemonicFnstenv
  | MnemonicFnstsw
  | MnemonicFpatan
  | MnemonicFprem
  | MnemonicFprem1
  | MnemonicFptan
  | MnemonicFrndint
  | MnemonicFrstor
  | MnemonicFscale
  | MnemonicFsetpm287Nop
  | MnemonicFsin
  | MnemonicFsincos
  | MnemonicFsqrt
  | MnemonicFst
  | MnemonicFstp
  | MnemonicFstpnce
  | MnemonicFsub
  | MnemonicFsubp
  | MnemonicFsubr
  | MnemonicFsubrp
  | MnemonicFtst
  | MnemonicFucom
  | MnemonicFucomi
  | MnemonicFucomip
  | MnemonicFucomp
  | MnemonicFucompp
  | MnemonicFwait
  | MnemonicFxam
  | MnemonicFxch
  | MnemonicFxrstor
  | MnemonicFxrstor64
  | MnemonicFxsave
  | MnemonicFxsave64
  | MnemonicFxtract
  | MnemonicFyl2X
  | MnemonicFyl2Xp1
  | MnemonicGetsec
  | MnemonicGf2P8Affineinvqb
  | MnemonicGf2P8Affineqb
  | MnemonicGf2P8Mulb
  | MnemonicHaddpd
  | MnemonicHaddps
  | MnemonicHlt
  | MnemonicHsubpd
  | MnemonicHsubps
  | MnemonicIdiv
  | MnemonicImul
  | MnemonicIn
  | MnemonicInc
  | MnemonicIncsspd
  | MnemonicIncsspq
  | MnemonicInsb
  | MnemonicInsd
  | MnemonicInsertps
  | MnemonicInsertq
  | MnemonicInsw
  | MnemonicInt
  | MnemonicInt1
  | MnemonicInt3
  | MnemonicInto
  | MnemonicInvd
  | MnemonicInvept
  | MnemonicInvlpg
  | MnemonicInvlpga
  | MnemonicInvpcid
  | MnemonicInvvpid
  | MnemonicIret
  | MnemonicIretd
  | MnemonicIretq
  | MnemonicJb
  | MnemonicJbe
  | MnemonicJcxz
  | MnemonicJecxz
  | MnemonicJknzd
  | MnemonicJkzd
  | MnemonicJl
  | MnemonicJle
  | MnemonicJmp
  | MnemonicJnb
  | MnemonicJnbe
  | MnemonicJnl
  | MnemonicJnle
  | MnemonicJno
  | MnemonicJnp
  | MnemonicJns
  | MnemonicJnz
  | MnemonicJo
  | MnemonicJp
  | MnemonicJrcxz
  | MnemonicJs
  | MnemonicJz
  | MnemonicKaddb
  | MnemonicKaddd
  | MnemonicKaddq
  | MnemonicKaddw
  | MnemonicKand
  | MnemonicKandb
  | MnemonicKandd
  | MnemonicKandn
  | MnemonicKandnb
  | MnemonicKandnd
  | MnemonicKandnq
  | MnemonicKandnr
  | MnemonicKandnw
  | MnemonicKandq
  | MnemonicKandw
  | MnemonicKconcath
  | MnemonicKconcatl
  | MnemonicKextract
  | MnemonicKmerge2L1H
  | MnemonicKmerge2L1L
  | MnemonicKmov
  | MnemonicKmovb
  | MnemonicKmovd
  | MnemonicKmovq
  | MnemonicKmovw
  | MnemonicKnot
  | MnemonicKnotb
  | MnemonicKnotd
  | MnemonicKnotq
  | MnemonicKnotw
  | MnemonicKor
  | MnemonicKorb
  | MnemonicKord
  | MnemonicKorq
  | MnemonicKortest
  | MnemonicKortestb
  | MnemonicKortestd
  | MnemonicKortestq
  | MnemonicKortestw
  | MnemonicKorw
  | MnemonicKshiftlb
  | MnemonicKshiftld
  | MnemonicKshiftlq
  | MnemonicKshiftlw
  | MnemonicKshiftrb
  | MnemonicKshiftrd
  | MnemonicKshiftrq
  | MnemonicKshiftrw
  | MnemonicKtestb
  | MnemonicKtestd
  | MnemonicKtestq
  | MnemonicKtestw
  | MnemonicKunpckbw
  | MnemonicKunpckdq
  | MnemonicKunpckwd
  | MnemonicKxnor
  | MnemonicKxnorb
  | MnemonicKxnord
  | MnemonicKxnorq
  | MnemonicKxnorw
  | MnemonicKxor
  | MnemonicKxorb
  | MnemonicKxord
  | MnemonicKxorq
  | MnemonicKxorw
  | MnemonicLahf
  | MnemonicLar
  | MnemonicLddqu
  | MnemonicLdmxcsr
  | MnemonicLds
  | MnemonicLea
  | MnemonicLeave
  | MnemonicLes
  | MnemonicLfence
  | MnemonicLfs
  | MnemonicLgdt
  | MnemonicLgs
  | MnemonicLidt
  | MnemonicLldt
  | MnemonicLlwpcb
  | MnemonicLmsw
  | MnemonicLodsb
  | MnemonicLodsd
  | MnemonicLodsq
  | MnemonicLodsw
  | MnemonicLoop
  | MnemonicLoope
  | MnemonicLoopne
  | MnemonicLsl
  | MnemonicLss
  | MnemonicLtr
  | MnemonicLwpins
  | MnemonicLwpval
  | MnemonicLzcnt
  | MnemonicMaskmovdqu
  | MnemonicMaskmovq
  | MnemonicMaxpd
  | MnemonicMaxps
  | MnemonicMaxsd
  | MnemonicMaxss
  | MnemonicMfence
  | MnemonicMinpd
  | MnemonicMinps
  | MnemonicMinsd
  | MnemonicMinss
  | MnemonicMonitor
  | MnemonicMonitorx
  | MnemonicMontmul
  | MnemonicMov
  | MnemonicMovapd
  | MnemonicMovaps
  | MnemonicMovbe
  | MnemonicMovd
  | MnemonicMovddup
  | MnemonicMovdir64B
  | MnemonicMovdiri
  | MnemonicMovdq2Q
  | MnemonicMovdqa
  | MnemonicMovdqu
  | MnemonicMovhlps
  | MnemonicMovhpd
  | MnemonicMovhps
  | MnemonicMovlhps
  | MnemonicMovlpd
  | MnemonicMovlps
  | MnemonicMovmskpd
  | MnemonicMovmskps
  | MnemonicMovntdq
  | MnemonicMovntdqa
  | MnemonicMovnti
  | MnemonicMovntpd
  | MnemonicMovntps
  | MnemonicMovntq
  | MnemonicMovntsd
  | MnemonicMovntss
  | MnemonicMovq
  | MnemonicMovq2Dq
  | MnemonicMovsb
  | MnemonicMovsd
  | MnemonicMovshdup
  | MnemonicMovsldup
  | MnemonicMovsq
  | MnemonicMovss
  | MnemonicMovsw
  | MnemonicMovsx
  | MnemonicMovsxd
  | MnemonicMovupd
  | MnemonicMovups
  | MnemonicMovzx
  | MnemonicMpsadbw
  | MnemonicMul
  | MnemonicMulpd
  | MnemonicMulps
  | MnemonicMulsd
  | MnemonicMulss
  | MnemonicMulx
  | MnemonicMwait
  | MnemonicMwaitx
  | MnemonicNeg
  | MnemonicNop
  | MnemonicNot
  | MnemonicOr
  | MnemonicOrpd
  | MnemonicOrps
  | MnemonicOut
  | MnemonicOutsb
  | MnemonicOutsd
  | MnemonicOutsw
  | MnemonicPabsb
  | MnemonicPabsd
  | MnemonicPabsw
  | MnemonicPackssdw
  | MnemonicPacksswb
  | MnemonicPackusdw
  | MnemonicPackuswb
  | MnemonicPaddb
  | MnemonicPaddd
  | MnemonicPaddq
  | MnemonicPaddsb
  | MnemonicPaddsw
  | MnemonicPaddusb
  | MnemonicPaddusw
  | MnemonicPaddw
  | MnemonicPalignr
  | MnemonicPand
  | MnemonicPandn
  | MnemonicPause
  | MnemonicPavgb
  | MnemonicPavgusb
  | MnemonicPavgw
  | MnemonicPblendvb
  | MnemonicPblendw
  | MnemonicPclmulqdq
  | MnemonicPcmpeqb
  | MnemonicPcmpeqd
  | MnemonicPcmpeqq
  | MnemonicPcmpeqw
  | MnemonicPcmpestri
  | MnemonicPcmpestrm
  | MnemonicPcmpgtb
  | MnemonicPcmpgtd
  | MnemonicPcmpgtq
  | MnemonicPcmpgtw
  | MnemonicPcmpistri
  | MnemonicPcmpistrm
  | MnemonicPconfig
  | MnemonicPdep
  | MnemonicPext
  | MnemonicPextrb
  | MnemonicPextrd
  | MnemonicPextrq
  | MnemonicPextrw
  | MnemonicPf2Id
  | MnemonicPf2Iw
  | MnemonicPfacc
  | MnemonicPfadd
  | MnemonicPfcmpeq
  | MnemonicPfcmpge
  | MnemonicPfcmpgt
  | MnemonicPfcpit1
  | MnemonicPfmax
  | MnemonicPfmin
  | MnemonicPfmul
  | MnemonicPfnacc
  | MnemonicPfpnacc
  | MnemonicPfrcp
  | MnemonicPfrcpit2
  | MnemonicPfrsqit1
  | MnemonicPfsqrt
  | MnemonicPfsub
  | MnemonicPfsubr
  | MnemonicPhaddd
  | MnemonicPhaddsw
  | MnemonicPhaddw
  | MnemonicPhminposuw
  | MnemonicPhsubd
  | MnemonicPhsubsw
  | MnemonicPhsubw
  | MnemonicPi2Fd
  | MnemonicPi2Fw
  | MnemonicPinsrb
  | MnemonicPinsrd
  | MnemonicPinsrq
  | MnemonicPinsrw
  | MnemonicPmaddubsw
  | MnemonicPmaddwd
  | MnemonicPmaxsb
  | MnemonicPmaxsd
  | MnemonicPmaxsw
  | MnemonicPmaxub
  | MnemonicPmaxud
  | MnemonicPmaxuw
  | MnemonicPminsb
  | MnemonicPminsd
  | MnemonicPminsw
  | MnemonicPminub
  | MnemonicPminud
  | MnemonicPminuw
  | MnemonicPmovmskb
  | MnemonicPmovsxbd
  | MnemonicPmovsxbq
  | MnemonicPmovsxbw
  | MnemonicPmovsxdq
  | MnemonicPmovsxwd
  | MnemonicPmovsxwq
  | MnemonicPmovzxbd
  | MnemonicPmovzxbq
  | MnemonicPmovzxbw
  | MnemonicPmovzxdq
  | MnemonicPmovzxwd
  | MnemonicPmovzxwq
  | MnemonicPmuldq
  | MnemonicPmulhrsw
  | MnemonicPmulhrw
  | MnemonicPmulhuw
  | MnemonicPmulhw
  | MnemonicPmulld
  | MnemonicPmullw
  | MnemonicPmuludq
  | MnemonicPop
  | MnemonicPopa
  | MnemonicPopad
  | MnemonicPopcnt
  | MnemonicPopf
  | MnemonicPopfd
  | MnemonicPopfq
  | MnemonicPor
  | MnemonicPrefetch
  | MnemonicPrefetchnta
  | MnemonicPrefetcht0
  | MnemonicPrefetcht1
  | MnemonicPrefetcht2
  | MnemonicPrefetchw
  | MnemonicPrefetchwt1
  | MnemonicPsadbw
  | MnemonicPshufb
  | MnemonicPshufd
  | MnemonicPshufhw
  | MnemonicPshuflw
  | MnemonicPshufw
  | MnemonicPsignb
  | MnemonicPsignd
  | MnemonicPsignw
  | MnemonicPslld
  | MnemonicPslldq
  | MnemonicPsllq
  | MnemonicPsllw
  | MnemonicPsrad
  | MnemonicPsraw
  | MnemonicPsrld
  | MnemonicPsrldq
  | MnemonicPsrlq
  | MnemonicPsrlw
  | MnemonicPsubb
  | MnemonicPsubd
  | MnemonicPsubq
  | MnemonicPsubsb
  | MnemonicPsubsw
  | MnemonicPsubusb
  | MnemonicPsubusw
  | MnemonicPsubw
  | MnemonicPswapd
  | MnemonicPtest
  | MnemonicPtwrite
  | MnemonicPunpckhbw
  | MnemonicPunpckhdq
  | MnemonicPunpckhqdq
  | MnemonicPunpckhwd
  | MnemonicPunpcklbw
  | MnemonicPunpckldq
  | MnemonicPunpcklqdq
  | MnemonicPunpcklwd
  | MnemonicPush
  | MnemonicPusha
  | MnemonicPushad
  | MnemonicPushf
  | MnemonicPushfd
  | MnemonicPushfq
  | MnemonicPxor
  | MnemonicRcl
  | MnemonicRcpps
  | MnemonicRcpss
  | MnemonicRcr
  | MnemonicRdfsbase
  | MnemonicRdgsbase
  | MnemonicRdmsr
  | MnemonicRdpid
  | MnemonicRdpkru
  | MnemonicRdpmc
  | MnemonicRdpru
  | MnemonicRdrand
  | MnemonicRdseed
  | MnemonicRdsspd
  | MnemonicRdsspq
  | MnemonicRdtsc
  | MnemonicRdtscp
  | MnemonicRet
  | MnemonicRol
  | MnemonicRor
  | MnemonicRorx
  | MnemonicRoundpd
  | MnemonicRoundps
  | MnemonicRoundsd
  | MnemonicRoundss
  | MnemonicRsm
  | MnemonicRsqrtps
  | MnemonicRsqrtss
  | MnemonicRstorssp
  | MnemonicSahf
  | MnemonicSalc
  | MnemonicSar
  | MnemonicSarx
  | MnemonicSaveprevssp
  | MnemonicSbb
  | MnemonicScasb
  | MnemonicScasd
  | MnemonicScasq
  | MnemonicScasw
  | MnemonicSetb
  | MnemonicSetbe
  | MnemonicSetl
  | MnemonicSetle
  | MnemonicSetnb
  | MnemonicSetnbe
  | MnemonicSetnl
  | MnemonicSetnle
  | MnemonicSetno
  | MnemonicSetnp
  | MnemonicSetns
  | MnemonicSetnz
  | MnemonicSeto
  | MnemonicSetp
  | MnemonicSets
  | MnemonicSetssbsy
  | MnemonicSetz
  | MnemonicSfence
  | MnemonicSgdt
  | MnemonicSha1Msg1
  | MnemonicSha1Msg2
  | MnemonicSha1Nexte
  | MnemonicSha1Rnds4
  | MnemonicSha256Msg1
  | MnemonicSha256Msg2
  | MnemonicSha256Rnds2
  | MnemonicShl
  | MnemonicShld
  | MnemonicShlx
  | MnemonicShr
  | MnemonicShrd
  | MnemonicShrx
  | MnemonicShufpd
  | MnemonicShufps
  | MnemonicSidt
  | MnemonicSkinit
  | MnemonicSldt
  | MnemonicSlwpcb
  | MnemonicSmsw
  | MnemonicSpflt
  | MnemonicSqrtpd
  | MnemonicSqrtps
  | MnemonicSqrtsd
  | MnemonicSqrtss
  | MnemonicStac
  | MnemonicStc
  | MnemonicStd
  | MnemonicStgi
  | MnemonicSti
  | MnemonicStmxcsr
  | MnemonicStosb
  | MnemonicStosd
  | MnemonicStosq
  | MnemonicStosw
  | MnemonicStr
  | MnemonicSub
  | MnemonicSubpd
  | MnemonicSubps
  | MnemonicSubsd
  | MnemonicSubss
  | MnemonicSwapgs
  | MnemonicSyscall
  | MnemonicSysenter
  | MnemonicSysexit
  | MnemonicSysret
  | MnemonicT1Mskc
  | MnemonicTest
  | MnemonicTpause
  | MnemonicTzcnt
  | MnemonicTzcnti
  | MnemonicTzmsk
  | MnemonicUcomisd
  | MnemonicUcomiss
  | MnemonicUd0
  | MnemonicUd1
  | MnemonicUd2
  | MnemonicUmonitor
  | MnemonicUmwait
  | MnemonicUnpckhpd
  | MnemonicUnpckhps
  | MnemonicUnpcklpd
  | MnemonicUnpcklps
  | MnemonicV4Fmaddps
  | MnemonicV4Fmaddss
  | MnemonicV4Fnmaddps
  | MnemonicV4Fnmaddss
  | MnemonicVaddnpd
  | MnemonicVaddnps
  | MnemonicVaddpd
  | MnemonicVaddps
  | MnemonicVaddsd
  | MnemonicVaddsetsps
  | MnemonicVaddss
  | MnemonicVaddsubpd
  | MnemonicVaddsubps
  | MnemonicVaesdec
  | MnemonicVaesdeclast
  | MnemonicVaesenc
  | MnemonicVaesenclast
  | MnemonicVaesimc
  | MnemonicVaeskeygenassist
  | MnemonicValignd
  | MnemonicValignq
  | MnemonicVandnpd
  | MnemonicVandnps
  | MnemonicVandpd
  | MnemonicVandps
  | MnemonicVblendmpd
  | MnemonicVblendmps
  | MnemonicVblendpd
  | MnemonicVblendps
  | MnemonicVblendvpd
  | MnemonicVblendvps
  | MnemonicVbroadcastf128
  | MnemonicVbroadcastf32X2
  | MnemonicVbroadcastf32X4
  | MnemonicVbroadcastf32X8
  | MnemonicVbroadcastf64X2
  | MnemonicVbroadcastf64X4
  | MnemonicVbroadcasti128
  | MnemonicVbroadcasti32X2
  | MnemonicVbroadcasti32X4
  | MnemonicVbroadcasti32X8
  | MnemonicVbroadcasti64X2
  | MnemonicVbroadcasti64X4
  | MnemonicVbroadcastsd
  | MnemonicVbroadcastss
  | MnemonicVcmppd
  | MnemonicVcmpps
  | MnemonicVcmpsd
  | MnemonicVcmpss
  | MnemonicVcomisd
  | MnemonicVcomiss
  | MnemonicVcompresspd
  | MnemonicVcompressps
  | MnemonicVcvtdq2Pd
  | MnemonicVcvtdq2Ps
  | MnemonicVcvtfxpntdq2Ps
  | MnemonicVcvtfxpntpd2Dq
  | MnemonicVcvtfxpntpd2Udq
  | MnemonicVcvtfxpntps2Dq
  | MnemonicVcvtfxpntps2Udq
  | MnemonicVcvtfxpntudq2Ps
  | MnemonicVcvtne2Ps2Bf16
  | MnemonicVcvtneps2Bf16
  | MnemonicVcvtpd2Dq
  | MnemonicVcvtpd2Ps
  | MnemonicVcvtpd2Qq
  | MnemonicVcvtpd2Udq
  | MnemonicVcvtpd2Uqq
  | MnemonicVcvtph2Ps
  | MnemonicVcvtps2Dq
  | MnemonicVcvtps2Pd
  | MnemonicVcvtps2Ph
  | MnemonicVcvtps2Qq
  | MnemonicVcvtps2Udq
  | MnemonicVcvtps2Uqq
  | MnemonicVcvtqq2Pd
  | MnemonicVcvtqq2Ps
  | MnemonicVcvtsd2Si
  | MnemonicVcvtsd2Ss
  | MnemonicVcvtsd2Usi
  | MnemonicVcvtsi2Sd
  | MnemonicVcvtsi2Ss
  | MnemonicVcvtss2Sd
  | MnemonicVcvtss2Si
  | MnemonicVcvtss2Usi
  | MnemonicVcvttpd2Dq
  | MnemonicVcvttpd2Qq
  | MnemonicVcvttpd2Udq
  | MnemonicVcvttpd2Uqq
  | MnemonicVcvttps2Dq
  | MnemonicVcvttps2Qq
  | MnemonicVcvttps2Udq
  | MnemonicVcvttps2Uqq
  | MnemonicVcvttsd2Si
  | MnemonicVcvttsd2Usi
  | MnemonicVcvttss2Si
  | MnemonicVcvttss2Usi
  | MnemonicVcvtudq2Pd
  | MnemonicVcvtudq2Ps
  | MnemonicVcvtuqq2Pd
  | MnemonicVcvtuqq2Ps
  | MnemonicVcvtusi2Sd
  | MnemonicVcvtusi2Ss
  | MnemonicVdbpsadbw
  | MnemonicVdivpd
  | MnemonicVdivps
  | MnemonicVdivsd
  | MnemonicVdivss
  | MnemonicVdpbf16Ps
  | MnemonicVdppd
  | MnemonicVdpps
  | MnemonicVerr
  | MnemonicVerw
  | MnemonicVexp223Ps
  | MnemonicVexp2Pd
  | MnemonicVexp2Ps
  | MnemonicVexpandpd
  | MnemonicVexpandps
  | MnemonicVextractf128
  | MnemonicVextractf32X4
  | MnemonicVextractf32X8
  | MnemonicVextractf64X2
  | MnemonicVextractf64X4
  | MnemonicVextracti128
  | MnemonicVextracti32X4
  | MnemonicVextracti32X8
  | MnemonicVextracti64X2
  | MnemonicVextracti64X4
  | MnemonicVextractps
  | MnemonicVfixupimmpd
  | MnemonicVfixupimmps
  | MnemonicVfixupimmsd
  | MnemonicVfixupimmss
  | MnemonicVfixupnanpd
  | MnemonicVfixupnanps
  | MnemonicVfmadd132Pd
  | MnemonicVfmadd132Ps
  | MnemonicVfmadd132Sd
  | MnemonicVfmadd132Ss
  | MnemonicVfmadd213Pd
  | MnemonicVfmadd213Ps
  | MnemonicVfmadd213Sd
  | MnemonicVfmadd213Ss
  | MnemonicVfmadd231Pd
  | MnemonicVfmadd231Ps
  | MnemonicVfmadd231Sd
  | MnemonicVfmadd231Ss
  | MnemonicVfmadd233Ps
  | MnemonicVfmaddpd
  | MnemonicVfmaddps
  | MnemonicVfmaddsd
  | MnemonicVfmaddss
  | MnemonicVfmaddsub132Pd
  | MnemonicVfmaddsub132Ps
  | MnemonicVfmaddsub213Pd
  | MnemonicVfmaddsub213Ps
  | MnemonicVfmaddsub231Pd
  | MnemonicVfmaddsub231Ps
  | MnemonicVfmaddsubpd
  | MnemonicVfmaddsubps
  | MnemonicVfmsub132Pd
  | MnemonicVfmsub132Ps
  | MnemonicVfmsub132Sd
  | MnemonicVfmsub132Ss
  | MnemonicVfmsub213Pd
  | MnemonicVfmsub213Ps
  | MnemonicVfmsub213Sd
  | MnemonicVfmsub213Ss
  | MnemonicVfmsub231Pd
  | MnemonicVfmsub231Ps
  | MnemonicVfmsub231Sd
  | MnemonicVfmsub231Ss
  | MnemonicVfmsubadd132Pd
  | MnemonicVfmsubadd132Ps
  | MnemonicVfmsubadd213Pd
  | MnemonicVfmsubadd213Ps
  | MnemonicVfmsubadd231Pd
  | MnemonicVfmsubadd231Ps
  | MnemonicVfmsubaddpd
  | MnemonicVfmsubaddps
  | MnemonicVfmsubpd
  | MnemonicVfmsubps
  | MnemonicVfmsubsd
  | MnemonicVfmsubss
  | MnemonicVfnmadd132Pd
  | MnemonicVfnmadd132Ps
  | MnemonicVfnmadd132Sd
  | MnemonicVfnmadd132Ss
  | MnemonicVfnmadd213Pd
  | MnemonicVfnmadd213Ps
  | MnemonicVfnmadd213Sd
  | MnemonicVfnmadd213Ss
  | MnemonicVfnmadd231Pd
  | MnemonicVfnmadd231Ps
  | MnemonicVfnmadd231Sd
  | MnemonicVfnmadd231Ss
  | MnemonicVfnmaddpd
  | MnemonicVfnmaddps
  | MnemonicVfnmaddsd
  | MnemonicVfnmaddss
  | MnemonicVfnmsub132Pd
  | MnemonicVfnmsub132Ps
  | MnemonicVfnmsub132Sd
  | MnemonicVfnmsub132Ss
  | MnemonicVfnmsub213Pd
  | MnemonicVfnmsub213Ps
  | MnemonicVfnmsub213Sd
  | MnemonicVfnmsub213Ss
  | MnemonicVfnmsub231Pd
  | MnemonicVfnmsub231Ps
  | MnemonicVfnmsub231Sd
  | MnemonicVfnmsub231Ss
  | MnemonicVfnmsubpd
  | MnemonicVfnmsubps
  | MnemonicVfnmsubsd
  | MnemonicVfnmsubss
  | MnemonicVfpclasspd
  | MnemonicVfpclassps
  | MnemonicVfpclasssd
  | MnemonicVfpclassss
  | MnemonicVfrczpd
  | MnemonicVfrczps
  | MnemonicVfrczsd
  | MnemonicVfrczss
  | MnemonicVgatherdpd
  | MnemonicVgatherdps
  | MnemonicVgatherpf0Dpd
  | MnemonicVgatherpf0Dps
  | MnemonicVgatherpf0Hintdpd
  | MnemonicVgatherpf0Hintdps
  | MnemonicVgatherpf0Qpd
  | MnemonicVgatherpf0Qps
  | MnemonicVgatherpf1Dpd
  | MnemonicVgatherpf1Dps
  | MnemonicVgatherpf1Qpd
  | MnemonicVgatherpf1Qps
  | MnemonicVgatherqpd
  | MnemonicVgatherqps
  | MnemonicVgetexppd
  | MnemonicVgetexpps
  | MnemonicVgetexpsd
  | MnemonicVgetexpss
  | MnemonicVgetmantpd
  | MnemonicVgetmantps
  | MnemonicVgetmantsd
  | MnemonicVgetmantss
  | MnemonicVgf2P8Affineinvqb
  | MnemonicVgf2P8Affineqb
  | MnemonicVgf2P8Mulb
  | MnemonicVgmaxabsps
  | MnemonicVgmaxpd
  | MnemonicVgmaxps
  | MnemonicVgminpd
  | MnemonicVgminps
  | MnemonicVhaddpd
  | MnemonicVhaddps
  | MnemonicVhsubpd
  | MnemonicVhsubps
  | MnemonicVinsertf128
  | MnemonicVinsertf32X4
  | MnemonicVinsertf32X8
  | MnemonicVinsertf64X2
  | MnemonicVinsertf64X4
  | MnemonicVinserti128
  | MnemonicVinserti32X4
  | MnemonicVinserti32X8
  | MnemonicVinserti64X2
  | MnemonicVinserti64X4
  | MnemonicVinsertps
  | MnemonicVlddqu
  | MnemonicVldmxcsr
  | MnemonicVloadunpackhd
  | MnemonicVloadunpackhpd
  | MnemonicVloadunpackhps
  | MnemonicVloadunpackhq
  | MnemonicVloadunpackld
  | MnemonicVloadunpacklpd
  | MnemonicVloadunpacklps
  | MnemonicVloadunpacklq
  | MnemonicVlog2Ps
  | MnemonicVmaskmovdqu
  | MnemonicVmaskmovpd
  | MnemonicVmaskmovps
  | MnemonicVmaxpd
  | MnemonicVmaxps
  | MnemonicVmaxsd
  | MnemonicVmaxss
  | MnemonicVmcall
  | MnemonicVmclear
  | MnemonicVmfunc
  | MnemonicVminpd
  | MnemonicVminps
  | MnemonicVminsd
  | MnemonicVminss
  | MnemonicVmlaunch
  | MnemonicVmload
  | MnemonicVmmcall
  | MnemonicVmovapd
  | MnemonicVmovaps
  | MnemonicVmovd
  | MnemonicVmovddup
  | MnemonicVmovdqa
  | MnemonicVmovdqa32
  | MnemonicVmovdqa64
  | MnemonicVmovdqu
  | MnemonicVmovdqu16
  | MnemonicVmovdqu32
  | MnemonicVmovdqu64
  | MnemonicVmovdqu8
  | MnemonicVmovhlps
  | MnemonicVmovhpd
  | MnemonicVmovhps
  | MnemonicVmovlhps
  | MnemonicVmovlpd
  | MnemonicVmovlps
  | MnemonicVmovmskpd
  | MnemonicVmovmskps
  | MnemonicVmovnrapd
  | MnemonicVmovnraps
  | MnemonicVmovnrngoapd
  | MnemonicVmovnrngoaps
  | MnemonicVmovntdq
  | MnemonicVmovntdqa
  | MnemonicVmovntpd
  | MnemonicVmovntps
  | MnemonicVmovq
  | MnemonicVmovsd
  | MnemonicVmovshdup
  | MnemonicVmovsldup
  | MnemonicVmovss
  | MnemonicVmovupd
  | MnemonicVmovups
  | MnemonicVmpsadbw
  | MnemonicVmptrld
  | MnemonicVmptrst
  | MnemonicVmread
  | MnemonicVmresume
  | MnemonicVmrun
  | MnemonicVmsave
  | MnemonicVmulpd
  | MnemonicVmulps
  | MnemonicVmulsd
  | MnemonicVmulss
  | MnemonicVmwrite
  | MnemonicVmxoff
  | MnemonicVmxon
  | MnemonicVorpd
  | MnemonicVorps
  | MnemonicVp2Intersectd
  | MnemonicVp2Intersectq
  | MnemonicVp4Dpwssd
  | MnemonicVp4Dpwssds
  | MnemonicVpabsb
  | MnemonicVpabsd
  | MnemonicVpabsq
  | MnemonicVpabsw
  | MnemonicVpackssdw
  | MnemonicVpacksswb
  | MnemonicVpackstorehd
  | MnemonicVpackstorehpd
  | MnemonicVpackstorehps
  | MnemonicVpackstorehq
  | MnemonicVpackstoreld
  | MnemonicVpackstorelpd
  | MnemonicVpackstorelps
  | MnemonicVpackstorelq
  | MnemonicVpackusdw
  | MnemonicVpackuswb
  | MnemonicVpadcd
  | MnemonicVpaddb
  | MnemonicVpaddd
  | MnemonicVpaddq
  | MnemonicVpaddsb
  | MnemonicVpaddsetcd
  | MnemonicVpaddsetsd
  | MnemonicVpaddsw
  | MnemonicVpaddusb
  | MnemonicVpaddusw
  | MnemonicVpaddw
  | MnemonicVpalignr
  | MnemonicVpand
  | MnemonicVpandd
  | MnemonicVpandn
  | MnemonicVpandnd
  | MnemonicVpandnq
  | MnemonicVpandq
  | MnemonicVpavgb
  | MnemonicVpavgw
  | MnemonicVpblendd
  | MnemonicVpblendmb
  | MnemonicVpblendmd
  | MnemonicVpblendmq
  | MnemonicVpblendmw
  | MnemonicVpblendvb
  | MnemonicVpblendw
  | MnemonicVpbroadcastb
  | MnemonicVpbroadcastd
  | MnemonicVpbroadcastmb2Q
  | MnemonicVpbroadcastmw2D
  | MnemonicVpbroadcastq
  | MnemonicVpbroadcastw
  | MnemonicVpclmulqdq
  | MnemonicVpcmov
  | MnemonicVpcmpb
  | MnemonicVpcmpd
  | MnemonicVpcmpeqb
  | MnemonicVpcmpeqd
  | MnemonicVpcmpeqq
  | MnemonicVpcmpeqw
  | MnemonicVpcmpestri
  | MnemonicVpcmpestrm
  | MnemonicVpcmpgtb
  | MnemonicVpcmpgtd
  | MnemonicVpcmpgtq
  | MnemonicVpcmpgtw
  | MnemonicVpcmpistri
  | MnemonicVpcmpistrm
  | MnemonicVpcmpltd
  | MnemonicVpcmpq
  | MnemonicVpcmpub
  | MnemonicVpcmpud
  | MnemonicVpcmpuq
  | MnemonicVpcmpuw
  | MnemonicVpcmpw
  | MnemonicVpcomb
  | MnemonicVpcomd
  | MnemonicVpcompressb
  | MnemonicVpcompressd
  | MnemonicVpcompressq
  | MnemonicVpcompressw
  | MnemonicVpcomq
  | MnemonicVpcomub
  | MnemonicVpcomud
  | MnemonicVpcomuq
  | MnemonicVpcomuw
  | MnemonicVpcomw
  | MnemonicVpconflictd
  | MnemonicVpconflictq
  | MnemonicVpdpbusd
  | MnemonicVpdpbusds
  | MnemonicVpdpwssd
  | MnemonicVpdpwssds
  | MnemonicVperm2F128
  | MnemonicVperm2I128
  | MnemonicVpermb
  | MnemonicVpermd
  | MnemonicVpermf32X4
  | MnemonicVpermi2B
  | MnemonicVpermi2D
  | MnemonicVpermi2Pd
  | MnemonicVpermi2Ps
  | MnemonicVpermi2Q
  | MnemonicVpermi2W
  | MnemonicVpermil2Pd
  | MnemonicVpermil2Ps
  | MnemonicVpermilpd
  | MnemonicVpermilps
  | MnemonicVpermpd
  | MnemonicVpermps
  | MnemonicVpermq
  | MnemonicVpermt2B
  | MnemonicVpermt2D
  | MnemonicVpermt2Pd
  | MnemonicVpermt2Ps
  | MnemonicVpermt2Q
  | MnemonicVpermt2W
  | MnemonicVpermw
  | MnemonicVpexpandb
  | MnemonicVpexpandd
  | MnemonicVpexpandq
  | MnemonicVpexpandw
  | MnemonicVpextrb
  | MnemonicVpextrd
  | MnemonicVpextrq
  | MnemonicVpextrw
  | MnemonicVpgatherdd
  | MnemonicVpgatherdq
  | MnemonicVpgatherqd
  | MnemonicVpgatherqq
  | MnemonicVphaddbd
  | MnemonicVphaddbq
  | MnemonicVphaddbw
  | MnemonicVphaddd
  | MnemonicVphadddq
  | MnemonicVphaddsw
  | MnemonicVphaddubd
  | MnemonicVphaddubq
  | MnemonicVphaddubw
  | MnemonicVphaddudq
  | MnemonicVphadduwd
  | MnemonicVphadduwq
  | MnemonicVphaddw
  | MnemonicVphaddwd
  | MnemonicVphaddwq
  | MnemonicVphminposuw
  | MnemonicVphsubbw
  | MnemonicVphsubd
  | MnemonicVphsubdq
  | MnemonicVphsubsw
  | MnemonicVphsubw
  | MnemonicVphsubwd
  | MnemonicVpinsrb
  | MnemonicVpinsrd
  | MnemonicVpinsrq
  | MnemonicVpinsrw
  | MnemonicVplzcntd
  | MnemonicVplzcntq
  | MnemonicVpmacsdd
  | MnemonicVpmacsdqh
  | MnemonicVpmacsdql
  | MnemonicVpmacssdd
  | MnemonicVpmacssdqh
  | MnemonicVpmacssdql
  | MnemonicVpmacsswd
  | MnemonicVpmacssww
  | MnemonicVpmacswd
  | MnemonicVpmacsww
  | MnemonicVpmadcsswd
  | MnemonicVpmadcswd
  | MnemonicVpmadd231D
  | MnemonicVpmadd233D
  | MnemonicVpmadd52Huq
  | MnemonicVpmadd52Luq
  | MnemonicVpmaddubsw
  | MnemonicVpmaddwd
  | MnemonicVpmaskmovd
  | MnemonicVpmaskmovq
  | MnemonicVpmaxsb
  | MnemonicVpmaxsd
  | MnemonicVpmaxsq
  | MnemonicVpmaxsw
  | MnemonicVpmaxub
  | MnemonicVpmaxud
  | MnemonicVpmaxuq
  | MnemonicVpmaxuw
  | MnemonicVpminsb
  | MnemonicVpminsd
  | MnemonicVpminsq
  | MnemonicVpminsw
  | MnemonicVpminub
  | MnemonicVpminud
  | MnemonicVpminuq
  | MnemonicVpminuw
  | MnemonicVpmovb2M
  | MnemonicVpmovd2M
  | MnemonicVpmovdb
  | MnemonicVpmovdw
  | MnemonicVpmovm2B
  | MnemonicVpmovm2D
  | MnemonicVpmovm2Q
  | MnemonicVpmovm2W
  | MnemonicVpmovmskb
  | MnemonicVpmovq2M
  | MnemonicVpmovqb
  | MnemonicVpmovqd
  | MnemonicVpmovqw
  | MnemonicVpmovsdb
  | MnemonicVpmovsdw
  | MnemonicVpmovsqb
  | MnemonicVpmovsqd
  | MnemonicVpmovsqw
  | MnemonicVpmovswb
  | MnemonicVpmovsxbd
  | MnemonicVpmovsxbq
  | MnemonicVpmovsxbw
  | MnemonicVpmovsxdq
  | MnemonicVpmovsxwd
  | MnemonicVpmovsxwq
  | MnemonicVpmovusdb
  | MnemonicVpmovusdw
  | MnemonicVpmovusqb
  | MnemonicVpmovusqd
  | MnemonicVpmovusqw
  | MnemonicVpmovuswb
  | MnemonicVpmovw2M
  | MnemonicVpmovwb
  | MnemonicVpmovzxbd
  | MnemonicVpmovzxbq
  | MnemonicVpmovzxbw
  | MnemonicVpmovzxdq
  | MnemonicVpmovzxwd
  | MnemonicVpmovzxwq
  | MnemonicVpmuldq
  | MnemonicVpmulhd
  | MnemonicVpmulhrsw
  | MnemonicVpmulhud
  | MnemonicVpmulhuw
  | MnemonicVpmulhw
  | MnemonicVpmulld
  | MnemonicVpmullq
  | MnemonicVpmullw
  | MnemonicVpmultishiftqb
  | MnemonicVpmuludq
  | MnemonicVpopcntb
  | MnemonicVpopcntd
  | MnemonicVpopcntq
  | MnemonicVpopcntw
  | MnemonicVpor
  | MnemonicVpord
  | MnemonicVporq
  | MnemonicVpperm
  | MnemonicVprefetch0
  | MnemonicVprefetch1
  | MnemonicVprefetch2
  | MnemonicVprefetche0
  | MnemonicVprefetche1
  | MnemonicVprefetche2
  | MnemonicVprefetchenta
  | MnemonicVprefetchnta
  | MnemonicVprold
  | MnemonicVprolq
  | MnemonicVprolvd
  | MnemonicVprolvq
  | MnemonicVprord
  | MnemonicVprorq
  | MnemonicVprorvd
  | MnemonicVprorvq
  | MnemonicVprotb
  | MnemonicVprotd
  | MnemonicVprotq
  | MnemonicVprotw
  | MnemonicVpsadbw
  | MnemonicVpsbbd
  | MnemonicVpsbbrd
  | MnemonicVpscatterdd
  | MnemonicVpscatterdq
  | MnemonicVpscatterqd
  | MnemonicVpscatterqq
  | MnemonicVpshab
  | MnemonicVpshad
  | MnemonicVpshaq
  | MnemonicVpshaw
  | MnemonicVpshlb
  | MnemonicVpshld
  | MnemonicVpshldd
  | MnemonicVpshldq
  | MnemonicVpshldvd
  | MnemonicVpshldvq
  | MnemonicVpshldvw
  | MnemonicVpshldw
  | MnemonicVpshlq
  | MnemonicVpshlw
  | MnemonicVpshrdd
  | MnemonicVpshrdq
  | MnemonicVpshrdvd
  | MnemonicVpshrdvq
  | MnemonicVpshrdvw
  | MnemonicVpshrdw
  | MnemonicVpshufb
  | MnemonicVpshufbitqmb
  | MnemonicVpshufd
  | MnemonicVpshufhw
  | MnemonicVpshuflw
  | MnemonicVpsignb
  | MnemonicVpsignd
  | MnemonicVpsignw
  | MnemonicVpslld
  | MnemonicVpslldq
  | MnemonicVpsllq
  | MnemonicVpsllvd
  | MnemonicVpsllvq
  | MnemonicVpsllvw
  | MnemonicVpsllw
  | MnemonicVpsrad
  | MnemonicVpsraq
  | MnemonicVpsravd
  | MnemonicVpsravq
  | MnemonicVpsravw
  | MnemonicVpsraw
  | MnemonicVpsrld
  | MnemonicVpsrldq
  | MnemonicVpsrlq
  | MnemonicVpsrlvd
  | MnemonicVpsrlvq
  | MnemonicVpsrlvw
  | MnemonicVpsrlw
  | MnemonicVpsubb
  | MnemonicVpsubd
  | MnemonicVpsubq
  | MnemonicVpsubrd
  | MnemonicVpsubrsetbd
  | MnemonicVpsubsb
  | MnemonicVpsubsetbd
  | MnemonicVpsubsw
  | MnemonicVpsubusb
  | MnemonicVpsubusw
  | MnemonicVpsubw
  | MnemonicVpternlogd
  | MnemonicVpternlogq
  | MnemonicVptest
  | MnemonicVptestmb
  | MnemonicVptestmd
  | MnemonicVptestmq
  | MnemonicVptestmw
  | MnemonicVptestnmb
  | MnemonicVptestnmd
  | MnemonicVptestnmq
  | MnemonicVptestnmw
  | MnemonicVpunpckhbw
  | MnemonicVpunpckhdq
  | MnemonicVpunpckhqdq
  | MnemonicVpunpckhwd
  | MnemonicVpunpcklbw
  | MnemonicVpunpckldq
  | MnemonicVpunpcklqdq
  | MnemonicVpunpcklwd
  | MnemonicVpxor
  | MnemonicVpxord
  | MnemonicVpxorq
  | MnemonicVrangepd
  | MnemonicVrangeps
  | MnemonicVrangesd
  | MnemonicVrangess
  | MnemonicVrcp14Pd
  | MnemonicVrcp14Ps
  | MnemonicVrcp14Sd
  | MnemonicVrcp14Ss
  | MnemonicVrcp23Ps
  | MnemonicVrcp28Pd
  | MnemonicVrcp28Ps
  | MnemonicVrcp28Sd
  | MnemonicVrcp28Ss
  | MnemonicVrcpps
  | MnemonicVrcpss
  | MnemonicVreducepd
  | MnemonicVreduceps
  | MnemonicVreducesd
  | MnemonicVreducess
  | MnemonicVrndfxpntpd
  | MnemonicVrndfxpntps
  | MnemonicVrndscalepd
  | MnemonicVrndscaleps
  | MnemonicVrndscalesd
  | MnemonicVrndscaless
  | MnemonicVroundpd
  | MnemonicVroundps
  | MnemonicVroundsd
  | MnemonicVroundss
  | MnemonicVrsqrt14Pd
  | MnemonicVrsqrt14Ps
  | MnemonicVrsqrt14Sd
  | MnemonicVrsqrt14Ss
  | MnemonicVrsqrt23Ps
  | MnemonicVrsqrt28Pd
  | MnemonicVrsqrt28Ps
  | MnemonicVrsqrt28Sd
  | MnemonicVrsqrt28Ss
  | MnemonicVrsqrtps
  | MnemonicVrsqrtss
  | MnemonicVscalefpd
  | MnemonicVscalefps
  | MnemonicVscalefsd
  | MnemonicVscalefss
  | MnemonicVscaleps
  | MnemonicVscatterdpd
  | MnemonicVscatterdps
  | MnemonicVscatterpf0Dpd
  | MnemonicVscatterpf0Dps
  | MnemonicVscatterpf0Hintdpd
  | MnemonicVscatterpf0Hintdps
  | MnemonicVscatterpf0Qpd
  | MnemonicVscatterpf0Qps
  | MnemonicVscatterpf1Dpd
  | MnemonicVscatterpf1Dps
  | MnemonicVscatterpf1Qpd
  | MnemonicVscatterpf1Qps
  | MnemonicVscatterqpd
  | MnemonicVscatterqps
  | MnemonicVshuff32X4
  | MnemonicVshuff64X2
  | MnemonicVshufi32X4
  | MnemonicVshufi64X2
  | MnemonicVshufpd
  | MnemonicVshufps
  | MnemonicVsqrtpd
  | MnemonicVsqrtps
  | MnemonicVsqrtsd
  | MnemonicVsqrtss
  | MnemonicVstmxcsr
  | MnemonicVsubpd
  | MnemonicVsubps
  | MnemonicVsubrpd
  | MnemonicVsubrps
  | MnemonicVsubsd
  | MnemonicVsubss
  | MnemonicVtestpd
  | MnemonicVtestps
  | MnemonicVucomisd
  | MnemonicVucomiss
  | MnemonicVunpckhpd
  | MnemonicVunpckhps
  | MnemonicVunpcklpd
  | MnemonicVunpcklps
  | MnemonicVxorpd
  | MnemonicVxorps
  | MnemonicVzeroall
  | MnemonicVzeroupper
  | MnemonicWbinvd
  | MnemonicWrfsbase
  | MnemonicWrgsbase
  | MnemonicWrmsr
  | MnemonicWrpkru
  | MnemonicWrssd
  | MnemonicWrssq
  | MnemonicWrussd
  | MnemonicWrussq
  | MnemonicXabort
  | MnemonicXadd
  | MnemonicXbegin
  | MnemonicXchg
  | MnemonicXcryptCbc
  | MnemonicXcryptCfb
  | MnemonicXcryptCtr
  | MnemonicXcryptEcb
  | MnemonicXcryptOfb
  | MnemonicXend
  | MnemonicXgetbv
  | MnemonicXlat
  | MnemonicXor
  | MnemonicXorpd
  | MnemonicXorps
  | MnemonicXrstor
  | MnemonicXrstor64
  | MnemonicXrstors
  | MnemonicXrstors64
  | MnemonicXsave
  | MnemonicXsave64
  | MnemonicXsavec
  | MnemonicXsavec64
  | MnemonicXsaveopt
  | MnemonicXsaveopt64
  | MnemonicXsaves
  | MnemonicXsaves64
  | MnemonicXsetbv
  | MnemonicXsha1
  | MnemonicXsha256
  | MnemonicXstore
  | MnemonicXtest
  deriving stock (Show, Eq, Bounded, Enum)
  deriving Storable via StorableExt Mnemonic
